{
    SQL Browse Directory Dialog
    Copyright: Andrew Venmore (avenmore@ananzi.co.za)
    Ver: 1.1 (05 May 2004)
}

unit TestMain;

// ----------------------------------------------------------------------- //
                                  interface
// ----------------------------------------------------------------------- //
uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, awvSQLBrowseDirDlg, IniFiles, XPMan;
// ----------------------------------------------------------------------- //

type
  TfrmTestMain = class(TForm)
    btnClose: TButton;
    edtServer: TEdit;
    edtLoginName: TEdit;
    edtPassword: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    edtFolder: TEdit;
    btnBrowseFolder: TButton;
    Label4: TLabel;
    Label5: TLabel;
    edtFile: TEdit;
    btnBrowseFile: TButton;
    brwFolder: TawvSQLBrowseDirDlg;
    brwFile: TawvSQLBrowseDirDlg;
    XPManifest1: TXPManifest;
    procedure btnCloseClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure btnBrowseFolderClick(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure btnBrowseFileClick(Sender: TObject);
  private
    SettingsIni: TIniFile;
  public
  end;

// ----------------------------------------------------------------------- //

var
  frmTestMain: TfrmTestMain;

// ----------------------------------------------------------------------- //
                               implementation
{$R *.dfm}
// ----------------------------------------------------------------------- //
uses
  awvSQLBrowseDirUtils;
// ----------------------------------------------------------------------- //
const
  SettingsIniName = 'TestMain.ini';
// ----------------------------------------------------------------------- //

procedure TfrmTestMain.FormCreate(Sender: TObject);
begin
  SettingsIni := TIniFile.Create(BackSlash(ExtractFilePath(ParamStr(0))) + SettingsIniName);
  edtServer.Text := SettingsIni.ReadString('Settings', 'edtServer', edtServer.Text);
  edtLoginName.Text := SettingsIni.ReadString('Settings', 'edtLoginName', edtLoginName.Text);
  edtPassword.Text := SettingsIni.ReadString('Settings', 'edtPassword', edtPassword.Text);
  edtFolder.Text := SettingsIni.ReadString('Settings', 'edtFolder', edtFolder.Text);
  edtFile.Text := SettingsIni.ReadString('Settings', 'edtFile', edtFile.Text);
end;

procedure TfrmTestMain.FormDestroy(Sender: TObject);
begin
  SettingsIni.WriteString('Settings', 'edtServer', edtServer.Text);
  SettingsIni.WriteString('Settings', 'edtLoginName', edtLoginName.Text);
  SettingsIni.WriteString('Settings', 'edtPassword', edtPassword.Text);
  SettingsIni.WriteString('Settings', 'edtFolder', edtFolder.Text);
  SettingsIni.WriteString('Settings', 'edtFile', edtFile.Text);
  SettingsIni.Free;
end;

procedure TfrmTestMain.btnCloseClick(Sender: TObject);
begin
  Close;
end;

procedure TfrmTestMain.btnBrowseFolderClick(Sender: TObject);
begin
  brwFolder.ConnectionString := BuildConnectionString(edtServer.Text, edtLoginName.Text, edtPassword.Text, '');
  brwFolder.FileName := edtFolder.Text;
  if (brwFolder.Execute) then
    edtFolder.Text := brwFolder.FileName;
  edtFolder.SetFocus;
  edtFolder.SelectAll;
end;

procedure TfrmTestMain.btnBrowseFileClick(Sender: TObject);
begin
  brwFile.ConnectionString := BuildConnectionString(edtServer.Text, edtLoginName.Text, edtPassword.Text, '');
  brwFile.FileName := edtFile.Text;
  if (brwFile.Execute) then
    edtFile.Text := brwFile.FileName;
  edtFile.SetFocus;
  edtFile.SelectAll;
end;

end.

